Subject: Re: [PATCH 1/7] compat: fix typos

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 10 Oct 2024 08:55:08 +0200

On Wed, Oct 09, 2024 at 02:49:34PM +0300, Andrew Kreimer wrote:
> diff --git a/compat/regex/regexec.c b/compat/regex/regexec.c
> index e92be5741d..15ab2d1d40 100644
> --- a/compat/regex/regexec.c
> +++ b/compat/regex/regexec.c
> @@ -292,7 +292,7 @@ compat_symbol (libc, __compat_regexec, regexec, GLIBC_2_0);
>     concerned.
>  
>     If REGS is not NULL, and BUFP->no_sub is not set, the offsets of the match
> -   and all groups is stroed in REGS.  (For the "_2" variants, the offsets are
> +   and all groups is stored in REGS.  (For the "_2" variants, the offsets are
>     computed relative to the concatenation, not relative to the individual
>     strings.)
>  

Do we want to fix grammar while at it? s/all group is/all group are/

In any case, this and all of the other patches look good to me. Thanks!

Patrick